openstack.baremetal.v1.Node
===========================

.. automodule:: openstack.baremetal.v1.node

The Node Class
--------------

The ``Node`` class inherits from :class:`~openstack.resource.Resource`.

.. autoclass:: openstack.baremetal.v1.node.Node
   :members:

The PowerAction Class
^^^^^^^^^^^^^^^^^^^^^

The ``PowerAction`` enumeration represents known power actions.

.. autoclass:: openstack.baremetal.v1.node.PowerAction
   :members:

The ValidationResult Class
^^^^^^^^^^^^^^^^^^^^^^^^^^

The ``ValidationResult`` class represents the result of a validation.

.. autoclass:: openstack.baremetal.v1.node.ValidationResult
   :members:

The WaitResult Class
^^^^^^^^^^^^^^^^^^^^

The ``WaitResult`` class represents the result of waiting for several nodes.

.. autoclass:: openstack.baremetal.v1.node.WaitResult
